Changeset 3104


Ignore:
Timestamp:
Nov 21, 2013 2:56:09 PM (6 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
ThirdParty/SoPlex/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/trunk/Makefile.in

    r2890 r3104  
    171171DEFS = @DEFS@
    172172DEPDIR = @DEPDIR@
     173DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     174DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    173175ECHO = @ECHO@
    174176ECHO_C = @ECHO_C@
  • ThirdParty/SoPlex/trunk/configure

    r2985 r3104  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SOPLEX_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE SOPLEX_WITH_GMP_CFLAG SOPLEX_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SOPLEX_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE SOPLEX_WITH_GMP_CFLAG SOPLEX_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-soplex compile project SoPlex with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --disable-pkg-config    disable use of pkg-config (if available)
    10901087  --enable-static[=PKGS]
     
    18801877
    18811878# Get the name of the C compiler and appropriate compiler options
    1882 case $build in
     1879
     1880
     1881  # for backward compatibility
     1882  # Check whether --enable-doscompile or --disable-doscompile was given.
     1883if test "${enable_doscompile+set}" = set; then
     1884  enableval="$enable_doscompile"
     1885  enable_doscompile=$enableval
     1886else
     1887  enable_doscompile=no
     1888fi;
     1889
     1890  # Check whether --enable-msvc or --disable-msvc was given.
     1891if test "${enable_msvc+set}" = set; then
     1892  enableval="$enable_msvc"
     1893  enable_msvc=$enableval
     1894else
     1895  enable_msvc=no
     1896     if test "$enable_doscompile" = msvc ; then
     1897       enable_msvc=yes
     1898     elif test "$enable_doscompile" != no ; then
     1899       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1900echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1901   { (exit 1); exit 1; }; }
     1902     fi
     1903
     1904fi;
     1905
     1906  if test "$enable_msvc" = MD; then
     1907    enable_shared=yes
     1908    enable_msvc=yes
     1909  fi
     1910
     1911  if test "$enable_msvc" = yes; then
     1912    case $build in
     1913      *-cygwin* | *-mingw*) ;;
     1914      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1915echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1916   { (exit 1); exit 1; }; } ;;
     1917    esac
     1918  fi
     1919
     1920
     1921 case $build in
    18831922  *-mingw*)
    18841923    if test "${LD+set}" = set; then :; else
     
    18871926    ;;
    18881927 esac
    1889  case $enable_doscompile in
    1890    msvc)
    1891      if test "x${LD+set}" = xset; then :; else
    1892        LD=link
    1893      fi
    1894      ;;
    1895  esac
    1896 
    1897 
    1898  # Check whether --enable-doscompile or --disable-doscompile was given.
    1899 if test "${enable_doscompile+set}" = set; then
    1900   enableval="$enable_doscompile"
    1901   if test "$enable_doscompile" != no; then
    1902      case $build in
    1903        *-cygwin* | *-mingw*) ;;
    1904        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1905 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1906    { (exit 1); exit 1; }; } ;;
    1907      esac
     1928 if test $enable_msvc = yes ; then
     1929   if test "x${LD+set}" = xset; then :; else
     1930     LD=link
    19081931   fi
    1909 else
    1910   enable_doscompile=no
    1911 fi;
    1912  case "$enable_doscompile" in
    1913    mingw)
    1914      case $build in
    1915        *-mingw*) enable_doscompile=no ;;
    1916      esac
    1917      ;;
    1918    msvc|no) ;;
    1919    yes) enable_doscompile=mingw ;;
    1920    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1921                     Try configure --help=recursive." >&5
    1922 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1923                     Try configure --help=recursive." >&2;}
    1924    { (exit 1); exit 1; }; }
    1925       ;;
    1926   esac
    1927   if test "$enable_doscompile" != no ; then
    1928     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1929 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1930   fi
     1932 fi
    19311933
    19321934
     
    19711973case $build in
    19721974  *-cygwin* | *-mingw*)
    1973              if test "$enable_doscompile" = msvc ; then
    1974                comps="icl cl"
     1975             if test "$enable_msvc" = yes ; then
     1976               comps="icl cl gcc"
    19751977             else
    1976                comps="gcc cl"
     1978               comps="gcc icl cl"
    19771979             fi ;;
    19781980  *-*-solaris*)
     
    27722774    fi ;;
    27732775  * )
    2774     CYGPATH_W=echo
     2776    if test x"$CYGPATH_W" = x ; then
     2777      CYGPATH_W=echo
     2778    fi
    27752779    ;;
    27762780esac
     
    28272831            ;;
    28282832        esac
    2829         case $enable_doscompile in
    2830           mingw)
    2831             CFLAGS="-mno-cygwin"
    2832             cat >conftest.$ac_ext <<_ACEOF
    2833 /* confdefs.h.  */
    2834 _ACEOF
    2835 cat confdefs.h >>conftest.$ac_ext
    2836 cat >>conftest.$ac_ext <<_ACEOF
    2837 /* end confdefs.h.  */
    2838 
    2839 int
    2840 main ()
    2841 {
    2842 int i=0; i++;
    2843   ;
    2844   return 0;
    2845 }
    2846 _ACEOF
    2847 rm -f conftest.$ac_objext conftest$ac_exeext
    2848 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2849   (eval $ac_link) 2>conftest.er1
    2850   ac_status=$?
    2851   grep -v '^ *+' conftest.er1 >conftest.err
    2852   rm -f conftest.er1
    2853   cat conftest.err >&5
    2854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2855   (exit $ac_status); } &&
    2856          { ac_try='test -z "$ac_c_werror_flag"
    2857                          || test ! -s conftest.err'
    2858   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2859   (eval $ac_try) 2>&5
    2860   ac_status=$?
    2861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2862   (exit $ac_status); }; } &&
    2863          { ac_try='test -s conftest$ac_exeext'
    2864   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2865   (eval $ac_try) 2>&5
    2866   ac_status=$?
    2867   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2868   (exit $ac_status); }; }; then
    2869   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2870 else
    2871   echo "$as_me: failed program was:" >&5
    2872 sed 's/^/| /' conftest.$ac_ext >&5
    2873 
    2874 fi
    2875 rm -f conftest.err conftest.$ac_objext \
    2876       conftest$ac_exeext conftest.$ac_ext
    2877             CFLAGS=
    2878           ;;
    2879         esac
    28802833    esac
    28812834  fi
     
    30783031fi
    30793032
    3080 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3081 
    3082 case "$CFLAGS" in
    3083   *-mno-cygwin*)
    3084     if test x${CPPFLAGS+set} != xset ; then
    3085       CPPFLAGS="-mno-cygwin"
    3086     else
    3087       case "$CPPFLAGS" in
    3088         *-mno-cygwin*)
    3089           ;;
    3090         *)
    3091           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3092           ;;
    3093       esac
    3094     fi ;;
    3095 esac
    3096 
    30973033# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    30983034if test x$COIN_PRJCT != x; then
     
    32183154  clang* ) ;;
    32193155  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3220     case $build in
     3156
     3157 case $build in
    32213158  *-mingw*)
    32223159    if test "${LD+set}" = set; then :; else
     
    32253162    ;;
    32263163 esac
    3227  case $enable_doscompile in
    3228    msvc)
    3229      if test "x${LD+set}" = xset; then :; else
    3230        LD=link
    3231      fi
    3232      ;;
    3233  esac
     3164 if test $enable_msvc = yes ; then
     3165   if test "x${LD+set}" = xset; then :; else
     3166     LD=link
     3167   fi
     3168 fi
    32343169
    32353170    ;;
     
    32663201case $build in
    32673202  *-cygwin* | *-mingw*)
    3268              if test "$enable_doscompile" = msvc ; then
    3269                comps="icl cl"
    3270              else
    3271                comps="g++ cl"
    3272              fi ;;
     3203      if test "$enable_msvc" = yes ; then
     3204         comps="icl cl g++"
     3205      else
     3206         comps="g++ icl cl"
     3207      fi ;;
    32733208  *-*-solaris*)
    32743209             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37403675    fi ;;
    37413676  * )
    3742     CYGPATH_W=echo
     3677    if test x"$CYGPATH_W" = x ; then
     3678      CYGPATH_W=echo
     3679    fi
    37433680    ;;
    37443681esac
     
    37773714            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
    37783715            ;;
    3779         esac
    3780 
    3781         case $enable_doscompile in
    3782           mingw)
    3783             CXXFLAGS="-mno-cygwin"
    3784             cat >conftest.$ac_ext <<_ACEOF
    3785 /* confdefs.h.  */
    3786 _ACEOF
    3787 cat confdefs.h >>conftest.$ac_ext
    3788 cat >>conftest.$ac_ext <<_ACEOF
    3789 /* end confdefs.h.  */
    3790 
    3791 int
    3792 main ()
    3793 {
    3794 int i=0; i++;
    3795   ;
    3796   return 0;
    3797 }
    3798 _ACEOF
    3799 rm -f conftest.$ac_objext conftest$ac_exeext
    3800 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3801   (eval $ac_link) 2>conftest.er1
    3802   ac_status=$?
    3803   grep -v '^ *+' conftest.er1 >conftest.err
    3804   rm -f conftest.er1
    3805   cat conftest.err >&5
    3806   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3807   (exit $ac_status); } &&
    3808          { ac_try='test -z "$ac_cxx_werror_flag"
    3809                          || test ! -s conftest.err'
    3810   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3811   (eval $ac_try) 2>&5
    3812   ac_status=$?
    3813   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3814   (exit $ac_status); }; } &&
    3815          { ac_try='test -s conftest$ac_exeext'
    3816   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3817   (eval $ac_try) 2>&5
    3818   ac_status=$?
    3819   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3820   (exit $ac_status); }; }; then
    3821   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3822 else
    3823   echo "$as_me: failed program was:" >&5
    3824 sed 's/^/| /' conftest.$ac_ext >&5
    3825 
    3826 fi
    3827 rm -f conftest.err conftest.$ac_objext \
    3828       conftest$ac_exeext conftest.$ac_ext
    3829             CXXFLAGS=
    3830           ;;
    38313716        esac
    38323717    esac
     
    40413926fi
    40423927
    4043 # If CXXFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    4044 
    4045 case "$CXXFLAGS" in
    4046   *-mno-cygwin*)
    4047     if test x${CPPFLAGS+set} != xset ; then
    4048       CPPFLAGS="-mno-cygwin"
    4049     else
    4050       case "$CPPFLAGS" in
    4051         *-mno-cygwin*)
    4052           ;;
    4053         *)
    4054           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    4055           ;;
    4056       esac
    4057     fi ;;
    4058 esac
    4059 
    40603928# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    40613929if test x$COIN_PRJCT != x; then
     
    41814049  clang* ) ;;
    41824050  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4183     case $build in
     4051
     4052 case $build in
    41844053  *-mingw*)
    41854054    if test "${LD+set}" = set; then :; else
     
    41884057    ;;
    41894058 esac
    4190  case $enable_doscompile in
    4191    msvc)
    4192      if test "x${LD+set}" = xset; then :; else
    4193        LD=link
    4194      fi
    4195      ;;
    4196  esac
     4059 if test $enable_msvc = yes ; then
     4060   if test "x${LD+set}" = xset; then :; else
     4061     LD=link
     4062   fi
     4063 fi
    41974064
    41984065    ;;
     
    43734240  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    43744241  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    4375   if test -e ../coin_subdirs.txt ; then
     4242  if test -f ../coin_subdirs.txt ; then
    43764243    for i in `cat ../coin_subdirs.txt` ; do
    43774244      if test -d ../$i ; then
     
    43844251  fi
    43854252
    4386   if test -e ../../coin_subdirs.txt ; then
     4253  if test -f ../../coin_subdirs.txt ; then
    43874254    for i in `cat ../../coin_subdirs.txt` ; do
    43884255      if test -d ../../$i ; then
     
    44334300            ;;
    44344301          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4435             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    4436 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4302            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     4303echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    44374304            ;;
    44384305          *)
     
    56145481
    56155482LIBTOOL=
    5616 if test -r ../libtool; then
     5483if test -f ../libtool; then
    56175484  coin_config_dir=..
    56185485  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    56195486fi
    56205487if test "x$LIBTOOL" = x; then
    5621   if test -r ../../libtool; then
     5488  if test -f ../../libtool; then
    56225489    coin_config_dir=../..
    56235490    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    61656032*-*-irix6*)
    61666033  # Find out which ABI we are using.
    6167   echo '#line 6167 "configure"' > conftest.$ac_ext
     6034  echo '#line 6034 "configure"' > conftest.$ac_ext
    61686035  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61696036  (eval $ac_compile) 2>&5
     
    72997166
    73007167# Provide some information about the compiler.
    7301 echo "$as_me:7301:" \
     7168echo "$as_me:7168:" \
    73027169     "checking for Fortran 77 compiler version" >&5
    73037170ac_compiler=`set X $ac_compile; echo $2`
     
    83668233   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83678234   -e 's:$: $lt_compiler_flag:'`
    8368    (eval echo "\"\$as_me:8368: $lt_compile\"" >&5)
     8235   (eval echo "\"\$as_me:8235: $lt_compile\"" >&5)
    83698236   (eval "$lt_compile" 2>conftest.err)
    83708237   ac_status=$?
    83718238   cat conftest.err >&5
    8372    echo "$as_me:8372: \$? = $ac_status" >&5
     8239   echo "$as_me:8239: \$? = $ac_status" >&5
    83738240   if (exit $ac_status) && test -s "$ac_outfile"; then
    83748241     # The compiler can only warn and ignore the option if not recognized
     
    86348501   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86358502   -e 's:$: $lt_compiler_flag:'`
    8636    (eval echo "\"\$as_me:8636: $lt_compile\"" >&5)
     8503   (eval echo "\"\$as_me:8503: $lt_compile\"" >&5)
    86378504   (eval "$lt_compile" 2>conftest.err)
    86388505   ac_status=$?
    86398506   cat conftest.err >&5
    8640    echo "$as_me:8640: \$? = $ac_status" >&5
     8507   echo "$as_me:8507: \$? = $ac_status" >&5
    86418508   if (exit $ac_status) && test -s "$ac_outfile"; then
    86428509     # The compiler can only warn and ignore the option if not recognized
     
    87388605   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87398606   -e 's:$: $lt_compiler_flag:'`
    8740    (eval echo "\"\$as_me:8740: $lt_compile\"" >&5)
     8607   (eval echo "\"\$as_me:8607: $lt_compile\"" >&5)
    87418608   (eval "$lt_compile" 2>out/conftest.err)
    87428609   ac_status=$?
    87438610   cat out/conftest.err >&5
    8744    echo "$as_me:8744: \$? = $ac_status" >&5
     8611   echo "$as_me:8611: \$? = $ac_status" >&5
    87458612   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87468613   then
     
    1108310950  lt_status=$lt_dlunknown
    1108410951  cat > conftest.$ac_ext <<EOF
    11085 #line 11085 "configure"
     10952#line 10952 "configure"
    1108610953#include "confdefs.h"
    1108710954
     
    1118311050  lt_status=$lt_dlunknown
    1118411051  cat > conftest.$ac_ext <<EOF
    11185 #line 11185 "configure"
     11052#line 11052 "configure"
    1118611053#include "confdefs.h"
    1118711054
     
    1352713394   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1352813395   -e 's:$: $lt_compiler_flag:'`
    13529    (eval echo "\"\$as_me:13529: $lt_compile\"" >&5)
     13396   (eval echo "\"\$as_me:13396: $lt_compile\"" >&5)
    1353013397   (eval "$lt_compile" 2>conftest.err)
    1353113398   ac_status=$?
    1353213399   cat conftest.err >&5
    13533    echo "$as_me:13533: \$? = $ac_status" >&5
     13400   echo "$as_me:13400: \$? = $ac_status" >&5
    1353413401   if (exit $ac_status) && test -s "$ac_outfile"; then
    1353513402     # The compiler can only warn and ignore the option if not recognized
     
    1363113498   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1363213499   -e 's:$: $lt_compiler_flag:'`
    13633    (eval echo "\"\$as_me:13633: $lt_compile\"" >&5)
     13500   (eval echo "\"\$as_me:13500: $lt_compile\"" >&5)
    1363413501   (eval "$lt_compile" 2>out/conftest.err)
    1363513502   ac_status=$?
    1363613503   cat out/conftest.err >&5
    13637    echo "$as_me:13637: \$? = $ac_status" >&5
     13504   echo "$as_me:13504: \$? = $ac_status" >&5
    1363813505   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1363913506   then
     
    1520115068   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1520215069   -e 's:$: $lt_compiler_flag:'`
    15203    (eval echo "\"\$as_me:15203: $lt_compile\"" >&5)
     15070   (eval echo "\"\$as_me:15070: $lt_compile\"" >&5)
    1520415071   (eval "$lt_compile" 2>conftest.err)
    1520515072   ac_status=$?
    1520615073   cat conftest.err >&5
    15207    echo "$as_me:15207: \$? = $ac_status" >&5
     15074   echo "$as_me:15074: \$? = $ac_status" >&5
    1520815075   if (exit $ac_status) && test -s "$ac_outfile"; then
    1520915076     # The compiler can only warn and ignore the option if not recognized
     
    1530515172   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530615173   -e 's:$: $lt_compiler_flag:'`
    15307    (eval echo "\"\$as_me:15307: $lt_compile\"" >&5)
     15174   (eval echo "\"\$as_me:15174: $lt_compile\"" >&5)
    1530815175   (eval "$lt_compile" 2>out/conftest.err)
    1530915176   ac_status=$?
    1531015177   cat out/conftest.err >&5
    15311    echo "$as_me:15311: \$? = $ac_status" >&5
     15178   echo "$as_me:15178: \$? = $ac_status" >&5
    1531215179   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1531315180   then
     
    1751217379   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751317380   -e 's:$: $lt_compiler_flag:'`
    17514    (eval echo "\"\$as_me:17514: $lt_compile\"" >&5)
     17381   (eval echo "\"\$as_me:17381: $lt_compile\"" >&5)
    1751517382   (eval "$lt_compile" 2>conftest.err)
    1751617383   ac_status=$?
    1751717384   cat conftest.err >&5
    17518    echo "$as_me:17518: \$? = $ac_status" >&5
     17385   echo "$as_me:17385: \$? = $ac_status" >&5
    1751917386   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752017387     # The compiler can only warn and ignore the option if not recognized
     
    1778017647   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778117648   -e 's:$: $lt_compiler_flag:'`
    17782    (eval echo "\"\$as_me:17782: $lt_compile\"" >&5)
     17649   (eval echo "\"\$as_me:17649: $lt_compile\"" >&5)
    1778317650   (eval "$lt_compile" 2>conftest.err)
    1778417651   ac_status=$?
    1778517652   cat conftest.err >&5
    17786    echo "$as_me:17786: \$? = $ac_status" >&5
     17653   echo "$as_me:17653: \$? = $ac_status" >&5
    1778717654   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778817655     # The compiler can only warn and ignore the option if not recognized
     
    1788417751   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788517752   -e 's:$: $lt_compiler_flag:'`
    17886    (eval echo "\"\$as_me:17886: $lt_compile\"" >&5)
     17753   (eval echo "\"\$as_me:17753: $lt_compile\"" >&5)
    1788717754   (eval "$lt_compile" 2>out/conftest.err)
    1788817755   ac_status=$?
    1788917756   cat out/conftest.err >&5
    17890    echo "$as_me:17890: \$? = $ac_status" >&5
     17757   echo "$as_me:17757: \$? = $ac_status" >&5
    1789117758   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1789217759   then
     
    2058320450    # Here we need to check if -m32 is specified.  If so, we need to correct
    2058420451    # sys_lib_search_path_spec
     20452    *-cygwin* | *-mingw*)
     20453       case "$CXX" in
     20454    clang* )
     20455      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     20456      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     20457echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     20458      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20459          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20460          -e 's|libext="lib"|libext="a"|' \
     20461      libtool > conftest.bla
     20462      ;;
     20463    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20464      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20465echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     20466      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20467          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20468          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20469          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20470          -e 's%lib /OUT:%lib -OUT:%' \
     20471          -e "s%cygpath -w%$CYGPATH_W%" \
     20472          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20473          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     20474          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20475          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20476          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     20477      libtool > conftest.bla
     20478      ;;
     20479    *)
     20480      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20481echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     20482      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20483          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20484          -e 's|libext="lib"|libext="a"|' \
     20485      libtool > conftest.bla
     20486      ;;
     20487  esac
     20488  mv conftest.bla libtool
     20489  chmod 755 libtool
     20490
     20491      ;;
    2058520492    *x86_64-*)
    2058620493      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2062220529      ;;
    2062320530    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    20624     *-cygwin* | *-mingw*)
    20625        case "$CXX" in
    20626     clang* )
    20627       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    20628       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    20629 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    20630       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20631           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20632           -e 's|libext="lib"|libext="a"|' \
    20633       libtool > conftest.bla
    20634       ;;
    20635     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20636       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    20637 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    20638       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20639           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20640           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20641           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20642           -e 's%lib /OUT:%lib -OUT:%' \
    20643           -e "s%cygpath -w%$CYGPATH_W%" \
    20644           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    20645           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    20646           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20647           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    20648           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    20649       libtool > conftest.bla
    20650       ;;
    20651     *)
    20652       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    20653 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    20654       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20655           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20656           -e 's|libext="lib"|libext="a"|' \
    20657       libtool > conftest.bla
    20658       ;;
    20659   esac
    20660   mv conftest.bla libtool
    20661   chmod 755 libtool
    20662 
    20663       ;;
    2066420531    *-darwin*)
    2066520532      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2076920636# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2077020637
     20638# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     20639if test "${enable_dependency_linking+set}" = set; then
     20640  enableval="$enable_dependency_linking"
     20641  dependency_linking="$enableval"
     20642else
     20643  dependency_linking=no
     20644fi;
     20645
    2077120646# ToDo
    2077220647# For now, don't use the -no-undefined flag, since the Makefiles are
    2077320648# not yet set up that way.  But we need to fix this, when we want
    2077420649# to comile DLLs under Windows.
    20775 LT_LDFLAGS=
     20650if test "$dependency_linking" = yes ;
     20651then
     20652  LT_LDFLAGS="-no-undefined"
     20653else
     20654  LT_LDFLAGS=
     20655fi
     20656
     20657
     20658
     20659if test "$dependency_linking" = yes; then
     20660  DEPENDENCY_LINKING_TRUE=
     20661  DEPENDENCY_LINKING_FALSE='#'
     20662else
     20663  DEPENDENCY_LINKING_TRUE='#'
     20664  DEPENDENCY_LINKING_FALSE=
     20665fi
     20666
    2077620667
    2077720668# Check if we want to set the library version
     
    2142121312echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2142221313coin_link_input_cmd="$LN_S"
    21423 if test "$enable_doscompile" = mingw; then
    21424   coin_link_input_cmd=cp
    21425 fi
    2142621314case "$CC" in
    2142721315  clang* ) ;;
     
    2163021518Usually this means the macro was only invoked conditionally." >&5
    2163121519echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     21520Usually this means the macro was only invoked conditionally." >&2;}
     21521   { (exit 1); exit 1; }; }
     21522fi
     21523if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     21524  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     21525Usually this means the macro was only invoked conditionally." >&5
     21526echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2163221527Usually this means the macro was only invoked conditionally." >&2;}
    2163321528   { (exit 1); exit 1; }; }
     
    2228222177s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2228322178s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     22179s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     22180s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2228422181s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2228522182s,@COIN_HAS_ZLIB_TRUE@,$COIN_HAS_ZLIB_TRUE,;t t
Note: See TracChangeset for help on using the changeset viewer.